

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-sparc64-akpm/include/asm-alpha/resource.h   |   29 ++++++++++++-------------
 25-sparc64-akpm/include/asm-mips/resource.h    |   29 ++++++++++++-------------
 25-sparc64-akpm/include/asm-sparc/resource.h   |   29 ++++++++++++-------------
 25-sparc64-akpm/include/asm-sparc64/resource.h |   29 ++++++++++++-------------
 4 files changed, 60 insertions(+), 56 deletions(-)

diff -puN include/asm-sparc64/resource.h~rlimit_rt_cpu-sparc64-fix include/asm-sparc64/resource.h
--- 25-sparc64/include/asm-sparc64/resource.h~rlimit_rt_cpu-sparc64-fix	2005-01-28 22:28:51.898296840 -0800
+++ 25-sparc64-akpm/include/asm-sparc64/resource.h	2005-01-28 22:29:47.925779368 -0800
@@ -11,21 +11,22 @@
  * Resource limits
  */
 
-#define RLIMIT_CPU	0		/* CPU time in ms */
-#define RLIMIT_FSIZE	1		/* Maximum filesize */
-#define RLIMIT_DATA	2		/* max data size */
-#define RLIMIT_STACK	3		/* max stack size */
-#define RLIMIT_CORE	4		/* max core file size */
-#define RLIMIT_RSS	5		/* max resident set size */
-#define RLIMIT_NOFILE	6		/* max number of open files */
-#define RLIMIT_NPROC	7		/* max number of processes */
-#define RLIMIT_MEMLOCK	8		/* max locked-in-memory address space */
-#define RLIMIT_AS	9		/* address space limit */
-#define RLIMIT_LOCKS	10		/* maximum file locks held */
-#define RLIMIT_SIGPENDING 11		/* max number of pending signals */
-#define RLIMIT_MSGQUEUE 12		/* maximum bytes in POSIX mqueues */
+#define RLIMIT_CPU	0	/* CPU time in ms */
+#define RLIMIT_FSIZE	1	/* Maximum filesize */
+#define RLIMIT_DATA	2	/* max data size */
+#define RLIMIT_STACK	3	/* max stack size */
+#define RLIMIT_CORE	4	/* max core file size */
+#define RLIMIT_RSS	5	/* max resident set size */
+#define RLIMIT_NOFILE	6	/* max number of open files */
+#define RLIMIT_NPROC	7	/* max number of processes */
+#define RLIMIT_MEMLOCK	8	/* max locked-in-memory address space */
+#define RLIMIT_AS	9	/* address space limit */
+#define RLIMIT_LOCKS	10	/* maximum file locks held */
+#define RLIMIT_SIGPENDING 11	/* max number of pending signals */
+#define RLIMIT_MSGQUEUE 12	/* maximum bytes in POSIX mqueues */
+#define RLIMIT_RT_CPU	13	/* max amount of CPU time an RT task can use */
 
-#define RLIM_NLIMITS	13
+#define RLIM_NLIMITS	14
 #define __ARCH_RLIMIT_ORDER
 
 #include <asm-generic/resource.h>
diff -puN include/asm-mips/resource.h~rlimit_rt_cpu-sparc64-fix include/asm-mips/resource.h
--- 25-sparc64/include/asm-mips/resource.h~rlimit_rt_cpu-sparc64-fix	2005-01-28 22:30:48.594556312 -0800
+++ 25-sparc64-akpm/include/asm-mips/resource.h	2005-01-28 22:32:36.765111888 -0800
@@ -12,21 +12,22 @@
 /*
  * Resource limits
  */
-#define RLIMIT_CPU 0			/* CPU time in ms */
-#define RLIMIT_FSIZE 1			/* Maximum filesize */
-#define RLIMIT_DATA 2			/* max data size */
-#define RLIMIT_STACK 3			/* max stack size */
-#define RLIMIT_CORE 4			/* max core file size */
-#define RLIMIT_NOFILE 5			/* max number of open files */
-#define RLIMIT_AS 6			/* mapped memory */
-#define RLIMIT_RSS 7			/* max resident set size */
-#define RLIMIT_NPROC 8			/* max number of processes */
-#define RLIMIT_MEMLOCK 9		/* max locked-in-memory address space */
-#define RLIMIT_LOCKS 10			/* maximum file locks held */
-#define RLIMIT_SIGPENDING 11		/* max number of pending signals */
-#define RLIMIT_MSGQUEUE 12		/* maximum bytes in POSIX mqueues */
+#define RLIMIT_CPU	0	/* CPU time in ms */
+#define RLIMIT_FSIZE	1	/* Maximum filesize */
+#define RLIMIT_DATA	2	/* max data size */
+#define RLIMIT_STACK	3	/* max stack size */
+#define RLIMIT_CORE	4	/* max core file size */
+#define RLIMIT_NOFILE	5	/* max number of open files */
+#define RLIMIT_AS	6	/* mapped memory */
+#define RLIMIT_RSS	7	/* max resident set size */
+#define RLIMIT_NPROC	8	/* max number of processes */
+#define RLIMIT_MEMLOCK	9	/* max locked-in-memory address space */
+#define RLIMIT_LOCKS	10	/* maximum file locks held */
+#define RLIMIT_SIGPENDING 11	/* max number of pending signals */
+#define RLIMIT_MSGQUEUE	12	/* maximum bytes in POSIX mqueues */
+#define RLIMIT_RT_CPU	13	/* max amount of CPU time an RT task can use */
 
-#define RLIM_NLIMITS 13			/* Number of limit flavors.  */
+#define RLIM_NLIMITS	14	/* Number of limit flavors.  */
 #define __ARCH_RLIMIT_ORDER
 
 /*
diff -puN include/asm-alpha/resource.h~rlimit_rt_cpu-sparc64-fix include/asm-alpha/resource.h
--- 25-sparc64/include/asm-alpha/resource.h~rlimit_rt_cpu-sparc64-fix	2005-01-28 22:31:00.968675160 -0800
+++ 25-sparc64-akpm/include/asm-alpha/resource.h	2005-01-28 22:32:51.388888736 -0800
@@ -5,21 +5,22 @@
  * Resource limits
  */
 
-#define RLIMIT_CPU	0		/* CPU time in ms */
-#define RLIMIT_FSIZE	1		/* Maximum filesize */
-#define RLIMIT_DATA	2		/* max data size */
-#define RLIMIT_STACK	3		/* max stack size */
-#define RLIMIT_CORE	4		/* max core file size */
-#define RLIMIT_RSS	5		/* max resident set size */
-#define RLIMIT_NOFILE	6		/* max number of open files */
-#define RLIMIT_AS	7		/* address space limit(?) */
-#define RLIMIT_NPROC	8		/* max number of processes */
-#define RLIMIT_MEMLOCK	9		/* max locked-in-memory address space */
-#define RLIMIT_LOCKS	10		/* maximum file locks held */
-#define RLIMIT_SIGPENDING 11		/* max number of pending signals */
-#define RLIMIT_MSGQUEUE 12		/* maximum bytes in POSIX mqueues */
+#define RLIMIT_CPU	0	/* CPU time in ms */
+#define RLIMIT_FSIZE	1	/* Maximum filesize */
+#define RLIMIT_DATA	2	/* max data size */
+#define RLIMIT_STACK	3	/* max stack size */
+#define RLIMIT_CORE	4	/* max core file size */
+#define RLIMIT_RSS	5	/* max resident set size */
+#define RLIMIT_NOFILE	6	/* max number of open files */
+#define RLIMIT_AS	7	/* address space limit(?) */
+#define RLIMIT_NPROC	8	/* max number of processes */
+#define RLIMIT_MEMLOCK	9	/* max locked-in-memory address space */
+#define RLIMIT_LOCKS	10	/* maximum file locks held */
+#define RLIMIT_SIGPENDING 11	/* max number of pending signals */
+#define RLIMIT_MSGQUEUE 12	/* maximum bytes in POSIX mqueues */
+#define RLIMIT_RT_CPU	13	/* max amount of CPU time an RT task can use */
 
-#define RLIM_NLIMITS	13
+#define RLIM_NLIMITS	14
 #define __ARCH_RLIMIT_ORDER
 
 /*
diff -puN include/asm-sparc/resource.h~rlimit_rt_cpu-sparc64-fix include/asm-sparc/resource.h
--- 25-sparc64/include/asm-sparc/resource.h~rlimit_rt_cpu-sparc64-fix	2005-01-28 22:31:06.061900872 -0800
+++ 25-sparc64-akpm/include/asm-sparc/resource.h	2005-01-28 22:33:06.100652208 -0800
@@ -11,21 +11,22 @@
  * Resource limits
  */
 
-#define RLIMIT_CPU	0		/* CPU time in ms */
-#define RLIMIT_FSIZE	1		/* Maximum filesize */
-#define RLIMIT_DATA	2		/* max data size */
-#define RLIMIT_STACK	3		/* max stack size */
-#define RLIMIT_CORE	4		/* max core file size */
-#define RLIMIT_RSS	5		/* max resident set size */
-#define RLIMIT_NOFILE	6		/* max number of open files */
-#define RLIMIT_NPROC	7		/* max number of processes */
-#define RLIMIT_MEMLOCK	8		/* max locked-in-memory address space */
-#define RLIMIT_AS	9		/* address space limit */
-#define RLIMIT_LOCKS	10		/* maximum file locks held */
-#define RLIMIT_SIGPENDING 11		/* max number of pending signals */
-#define RLIMIT_MSGQUEUE 12		/* maximum bytes in POSIX mqueues */
+#define RLIMIT_CPU	0	/* CPU time in ms */
+#define RLIMIT_FSIZE	1	/* Maximum filesize */
+#define RLIMIT_DATA	2	/* max data size */
+#define RLIMIT_STACK	3	/* max stack size */
+#define RLIMIT_CORE	4	/* max core file size */
+#define RLIMIT_RSS	5	/* max resident set size */
+#define RLIMIT_NOFILE	6	/* max number of open files */
+#define RLIMIT_NPROC	7	/* max number of processes */
+#define RLIMIT_MEMLOCK	8	/* max locked-in-memory address space */
+#define RLIMIT_AS	9	/* address space limit */
+#define RLIMIT_LOCKS	10	/* maximum file locks held */
+#define RLIMIT_SIGPENDING 11	/* max number of pending signals */
+#define RLIMIT_MSGQUEUE 12	/* maximum bytes in POSIX mqueues */
+#define RLIMIT_RT_CPU	13	/* max amount of CPU time an RT task can use */
 
-#define RLIM_NLIMITS	13
+#define RLIM_NLIMITS	14
 #define __ARCH_RLIMIT_ORDER
 
 /*
_
